
<template>
  <div>
    <Modal>
      <form @submit.prevent="$emit('submit')" class="panel" id="modalForm">
        <h3>{{ title }}</h3>
        <div id="content">
          <slot />
        </div>
        <div id="btns">
          <button class="red" type="reset" @click="$emit('cancel')">
            {{ cancelBtnText }}
          </button>
          <button class="green" type="submit">{{ submitBtnText }}</button>
        </div>
      </form>
    </Modal>
  </div>
</template>

<script lang="ts">
/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

import { Component, Vue, Prop } from "vue-property-decorator";
// Import components
import Modal from "../common/Modal.vue";

@Component({
  components: {
    Modal
  }
}) export default class ModalForm extends Vue {
  @Prop({ default: "" }) title!: string;
  @Prop({ default: "Cancel" }) cancelBtnText!: string;
  @Prop({ default: "Submit" }) submitBtnText!: string;
}
</script>

<style scoped>
#modalForm {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
#modalForm #btns {
  padding-top: 20px;
  display: flex;
  justify-content: space-around;
}
#modalForm #content {
  display: flex;
  flex-direction: column;

}
</style>
